%define major_version   2.6
%define minor_version   3
%define api_version     2.6

Name:           bakery
Version:        %{major_version}.%{minor_version}
Release:        11%{?dist}
Summary:        C++ framework for creating GNOME applications using gtkmm
Epoch:          1

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://bakery.sourceforge.net/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/bakery/%{major_version}/bakery-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  glibmm24-devel >= 2.16.0
BuildRequires:  gtkmm24-devel >= 2.10.0
BuildRequires:  gconfmm26-devel >= 2.6.0
BuildRequires:  libglademm24-devel >= 2.4.0
BuildRequires:  libxml++-devel >= 2.23.3
BuildRequires:  doxygen graphviz gettext intltool


%description
Bakery is a C++ Framework for creating GNOME applications using gtkmm.
Bakery provides a Document/View architecture, but it doesn't force you
to use the whole architecture. Bakery can use XML as a Document
storage format, if you like. Bakery provides default functionality,
which can be easily customized, makes it easy to start
developing GNOME applications and gives your application
structure. Bakery also contains a few utility classes.


%package devel
Summary:        Headers for developing programs that will use %{name}
Group:          Development/Libraries
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       pkgconfig


%description devel
This package contains the header files needed for developing %{name}
applications.


%prep
%setup -q


%build
%configure --disable-static --disable-dependency-tracking
make %{?_smp_mflags}
make -C docs/reference %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT docs-to-include
%makeinstall
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
%{__mkdir} docs-to-include
%{__cp} docs/*.html docs-to-include/
%{__mkdir} docs-to-include/reference
%{__cp} -r docs/reference/html docs-to-include/reference/
%{__rm} -f docs-to-include/reference/html/installdox
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/*.so.*


%files devel
%defattr(-, root, root, -)
%doc docs-to-include/*
%{_includedir}/bakery-%{api_version}
%{_libdir}/*.so
%{_libdir}/bakery-%{api_version}
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:2.6.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:2.6.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:2.6.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:2.6.3-8
- Rebuilt for c++ ABI breakage

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:2.6.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1:2.6.3-6
- Rebuild for new libpng

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:2.6.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Apr 11 2010 Haïkel Guémar <hguemar@fedoraproject.org> - 1:2.6.3-4
- Rebuilt for F-13

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:2.6.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:2.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 23 2009 Denis Leroy <denis@poolshark.org> - 1:2.6.3-1
- Update to upstream 2.6.3

* Sat Jan 17 2009 Denis Leroy <denis@poolshark.org> - 1:2.6.2-1
- Update to upstream 2.6.2
- Removed autodetected devel package Rs

* Wed Aug  6 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.4.4-3
- revert to 2.4.4
- set epoch to 1

* Tue Aug  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.5.1-1
- update to upstream 2.5.1

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.4.4-2
- Autorebuild for GCC 4.3

* Tue Jan 29 2008 Denis Leroy <denis@poolshark.org> - 2.4.4-1
- Update to upstream 2.4.4, needed by glom
- BR versions update

* Mon Nov 19 2007 Denis Leroy <denis@poolshark.org> - 2.4.2-1
- Update to upstream 2.4.2

* Fri Aug 17 2007 Denis Leroy <denis@poolshark.org> - 2.4.1-2
- Updated License tag

* Tue Jan  9 2007 Denis Leroy <denis@poolshark.org> - 2.4.1-1
- Update to 2.4.1

* Mon Aug 28 2006 Denis Leroy <denis@poolshark.org> - 2.4.0-2
- FE6 Rebuild

* Sun May  7 2006 Denis Leroy <denis@poolshark.org> - 2.4.0-1
- Update to 2.4.0

* Sat Mar  4 2006 Denis Leroy <denis@poolshark.org> - 2.3.17-1
- Update to 2.3.17
- Added gettext and graphviz BuildRequires

* Wed Mar  1 2006 Denis Leroy <denis@poolshark.org> - 2.3.15-3
- Removed deps to ldconfig

* Mon Nov 28 2005 Denis Leroy <denis@poolshark.org> - 2.3.15-1
- First version

